https://github.com/pkgconf/pkgconf/pull/340

From db387172ac5fe2a3118945bf45bd90d8a2efeaf4 Mon Sep 17 00:00:00 2001
From: Kai Pastor <dg0yt@darc.de>
Date: Wed, 17 Jan 2024 18:28:38 +0100
Subject: [PATCH] Test digraph completeness for private-libs-duplication

Complements 45073b7.
--- a/tests/requires.sh
+++ b/tests/requires.sh
@@ -10,6 +10,7 @@ tests_init \
 	argv_parse2 \
 	static_cflags \
 	private_duplication \
+	private_duplication_digraph \
 	libs_static2 \
 	missing \
 	requires_internal \
@@ -73,6 +74,21 @@ private_duplication_body()
 		pkgconf --static --libs-only-l private-libs-duplication
 }
 
+private_duplication_digraph_body()
+{
+	export PKG_CONFIG_PATH="${selfdir}/lib1"
+	atf_check \
+		-o 'match:"virtual:world" -> "private-libs-duplication"' \
+		-o 'match:"virtual:world" -> "bar"' \
+		-o 'match:"virtual:world" -> "baz"' \
+		-o 'match:"virtual:world" -> "foo"' \
+		-o 'match:"private-libs-duplication" -> "bar"' \
+		-o 'match:"private-libs-duplication" -> "baz"' \
+		-o 'match:"bar" -> "foo"' \
+		-o 'match:"baz" -> "foo"' \
+		pkgconf --static --libs-only-l private-libs-duplication --digraph
+}
+
 libs_static2_body()
 {
 	export PKG_CONFIG_PATH="${selfdir}/lib1"

